# variable "lxc_passwd" {
#     type = string
#     sensitive = true
# }
# 
# resource "proxmox_lxc" "lxc_demo_1" {
#     target_node = "pve"
#     ostemplate = "local:vztmpl/debian-12-standard_12.7-1_amd64.tar.zst"
#     password = var.lxc_passwd
#     unprivileged = true
#     vmid = "500"
# 
#     ssh_public_keys = var.ssh_public_key
# 
# 
#     features {
#         nesting = true
#     }
#     hostname = "lxc-demo-1"
# 
#     network {
#         name = "eth1"
#         bridge = "vmbr0"
#         ip = "dhcp"
#         ip6 = "auto"
#     }
# 
#     rootfs {
#       storage = "local-lvm"
#       size    = "8G"
#     }
# 
# }
